Ошибка обновления проектов

Различные вопросы по установке и настройке фреймворка, конфигурции веб-сервера и IDE.
Ответить
ishpanec
Сообщения: 50
Зарегистрирован: 2014.01.11, 18:32

Ошибка обновления проектов

Сообщение ishpanec » 2018.04.13, 23:49

Доброго!
Пытаюсь обновить несколько проектов, но все время вылетает ошибка обновления:
[RuntimeException]
Failed to execute git clone --mirror 'git+ssh://git@github.com/isaacs/abbrev-js.git' '.../.composer/cache/vcs/git-ssh---git-github.com-isaacs-abb
rev-js.git/'
Cloning into bare repository '.../.composer/cache/vcs/git-ssh---git-github.com-isaacs-abbrev-js.git'...
Permission denied (publickey).
fatal: Could not read from remote repository.
Please make sure you have the correct access rights
and the repository exists.
удалял папку .composer полностью, заново устанавливал bower, делал новый токен гита, удалял папку vendor, ничего не помогает.
подскажите, куда копать? :?: спасибо!

andku83
Сообщения: 671
Зарегистрирован: 2016.07.01, 10:24
Откуда: Харьков

Re: Ошибка обновления проектов

Сообщение andku83 » 2018.04.14, 02:16

добавьте или отредактируйте секцию repositories в composer.json

Код: Выделить всё

  "require": {
...
  },
  "require-dev": {
...
  },
  "repositories": [
    {
      "type":"package",
      "package": {
        "name": "isaacs/abbrev-js",
        "version":"dev-master",
        "source": {
          "url": "https://github.com/isaacs/abbrev-js.git",
          "type": "git",
          "reference":"master"
        }
      }
    },
...
  ],
возможно на packagist удалили этот пакет, а так вы показываете откуда его брать

ishpanec
Сообщения: 50
Зарегистрирован: 2014.01.11, 18:32

Re: Ошибка обновления проектов

Сообщение ishpanec » 2018.04.14, 11:47

не помогло.
ошибка все та же.

ishpanec
Сообщения: 50
Зарегистрирован: 2014.01.11, 18:32

Re: Ошибка обновления проектов

Сообщение ishpanec » 2018.04.16, 00:03

методом исключения выяснил что вот этот пакет вызывает ошибку:
"yiisoft/yii2-gii": "*",
кому писать?))

andku83
Сообщения: 671
Зарегистрирован: 2016.07.01, 10:24
Откуда: Харьков

Re: Ошибка обновления проектов

Сообщение andku83 » 2018.04.16, 00:24

поменяйте на:

Код: Выделить всё

    "yiisoft/yii2-gii": "^2.0.0",

ishpanec
Сообщения: 50
Зарегистрирован: 2014.01.11, 18:32

Re: Ошибка обновления проектов

Сообщение ishpanec » 2018.04.16, 22:51

увы, это тоже не помогло. ошибка все так же появляется.

ishpanec
Сообщения: 50
Зарегистрирован: 2014.01.11, 18:32

Re: Ошибка обновления проектов

Сообщение ishpanec » 2018.04.16, 23:29

Код: Выделить всё

"yiisoft/yii2-gii": "~2.0.0",
вот так помогло!) спасибо

Ответить